# =========================================================================== #
# require 'cookbooks/aliases/cookbook_aliases.rb'
# =========================================================================== #
require 'cookbooks/constants/file_cookbook_aliases.rb'
require 'cookbooks/requires/require_yaml.rb'

module Cookbooks

  # ========================================================================= #
  # === COOKBOOK_ALIASES
  #
  # All aliases for the cookbook files are stored here.
  #
  # For the individual yaml files, the constant
  # INDIVIDUAL_COOKBOOKS_DIRECTORY should be
  # used instead.
  # ========================================================================= #
  _ = Cookbooks.file_cookbook_aliases
  if File.exist? _
    COOKBOOK_ALIASES = YAML.load_file(_) # load up the file cookbook_aliases.yml
  else
    COOKBOOK_ALIASES = {} # This will be for most everyone else.
  end

  # ========================================================================= #
  # === Cookbooks.cookbook_aliases?
  # ========================================================================= #
  def self.cookbook_aliases?
    COOKBOOK_ALIASES
  end

end

if __FILE__ == $PROGRAM_NAME
  puts 'How many aliases are registered? '+
        Cookbooks::COOKBOOK_ALIASES.size.to_s 
end