module Cookbooks # === Cookbooks::Aliases

class Aliases < Base

  # ========================================================================= #
  # === obtain_raw_dataset
  # ========================================================================= #
  def obtain_raw_dataset
    # ======================================================================= #
    # Keep a raw dataset, as reference copy. The raw dataset is the
    # unmodified set of key-value pairs.
    # ======================================================================= #
    @internal_hash[:raw_dataset] = @internal_hash[:dataset].dup
  end

  # ========================================================================= #
  # === raw_dataset?
  # ========================================================================= #
  def raw_dataset?
    @internal_hash[:raw_dataset]
  end; alias raw_data?    raw_dataset? # === raw_data?
       alias raw_aliases? raw_dataset? # === raw_aliases?

  # ========================================================================= #
  # === obtain_raw_dataset
  # ========================================================================= #
  def obtain_dataset
    # ======================================================================= #
    # The main pointer to point at our yaml data. This is a Hash.
    # ======================================================================= #
    set_dataset(Cookbooks.cookbook_aliases?)
    obtain_raw_dataset # Also sync at the raw dataset.
  end

  # ========================================================================= #
  # === set_dataset
  #
  # This sets the main dataset. If you ever need the raw dataset, make
  # use of the method called raw_dataset?. Note that this dataset will
  # lateron become expanded via "aliases" to this dataset.
  # ========================================================================= #
  def set_dataset(i = Cookbooks.cookbook_aliases?)
    @internal_hash[:dataset] = i
  end

end; end