require 'cookbooks/aliases/cookbook_aliases.rb'

module Cookbooks # === Cookbooks::Aliases

class Aliases < Base

  # ========================================================================= #
  # === reset                                                     (reset tag)
  # ========================================================================= #
  def reset
    super()
    @be_verbose    = false # By default, we will be fairly quiet.
    @internal_hash = {}
    # ======================================================================= #
    # The next setting determines whether class Cookbooks::Aliases will
    # use abbreviations for its core-defined aliases. The core-defined
    # aliases are those that are written in the .yml file directly; the
    # abbreviations to these aliases, are NOT core aliases.
    #
    # By default, we will NOT use abbreviations - you have to specifically
    # enable this in your code if you want to use abbreviations.
    # ======================================================================= #
    @internal_hash[:use_abbreviations_for_the_aliases] = false
    obtain_dataset
  end

end; end