#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
# require 'cookbooks/base/colours.rb'
# =========================================================================== #
require 'colours'

module Cookbooks

class Base

  # ========================================================================= #
  # === KONSOLE
  # ========================================================================= #
  KONSOLE = ::Colours::Konsole

  # ========================================================================= #
  # === rev
  # ========================================================================= #
  def rev
    ::Colours.rev
  end

  # ========================================================================= #
  # === enable_colours
  # ========================================================================= #
  def enable_colours
    ::Cookbooks.enable_colours
  end

  # ========================================================================= #
  # === disable_colours
  #
  # Use this method if you wish to disable colours. Invoke it only when
  # you really do wish to disable the colours.
  # ========================================================================= #
  def disable_colours
    ::Cookbooks.disable_colours
  end; alias do_not_use_colours disable_colours # === do_not_use_colours

  # ========================================================================= #
  # === use_colours?
  #
  # Just delegate towards the variable @use_colours.
  # ========================================================================= #
  def use_colours?
    ::Cookbooks.use_colours?
  end; alias we_may_use_colours? use_colours? # === we_may_use_colours?

  # ========================================================================= #
  # === edir
  # ========================================================================= #
  def edir(i = '')
    e sdir(i)
  end

  # ========================================================================= #
  # === ecomment
  # ========================================================================= #
  def ecomment(i = '')
    ::Colours.ecomment(i)
  end

  # ========================================================================= #
  # === simp
  # ========================================================================= #
  def simp(i = '')
    return ::Colours.simp(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === sdir
  # ========================================================================= #
  def sdir(i = '')
    return ::Colours.sdir(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === sfile
  # ========================================================================= #
  def sfile(i = '')
    return ::Colours.sfile(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === sfancy
  # ========================================================================= #
  def sfancy(i = '')
    return ::Colours.sfancy(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === crimson
  # ========================================================================= #
  def crimson(i)
    return KONSOLE.crimson(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === plum
  # ========================================================================= #
  def plum(i)
    return KONSOLE.plum(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === firebrick
  # ========================================================================= #
  def firebrick(i)
    return KONSOLE.firebrick(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === lightblue
  # ========================================================================= #
  def lightblue(i)
    return KONSOLE.lightblue(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === violet
  # ========================================================================= #
  def violet(i)
    return KONSOLE.violet(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === seagreen
  # ========================================================================= #
  def seagreen(i)
    return KONSOLE.seagreen(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === turquoise
  # ========================================================================= #
  def turquoise(i)
    return KONSOLE.turquoise(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === mediumspringgreen
  # ========================================================================= #
  def mediumspringgreen(i)
    return KONSOLE.mediumspringgreen(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === powderblue
  # ========================================================================= #
  def powderblue(i)
    return KONSOLE.powderblue(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === teal
  # ========================================================================= #
  def teal(i)
    return KONSOLE.teal(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === cyan
  # ========================================================================= #
  def cyan(i)
    return KONSOLE.cyan(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === slateblue
  # ========================================================================= #
  def slateblue(i)
    return KONSOLE.slateblue(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === grey
  # ========================================================================= #
  def grey(i)
    return KONSOLE.grey(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === mediumseagreen
  # ========================================================================= #
  def mediumseagreen(i)
    return KONSOLE.mediumseagreen(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === olivedrab
  # ========================================================================= #
  def olivedrab(i)
    return KONSOLE.olivedrab(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === lightslategray
  # ========================================================================= #
  def lightslategray(i)
    return KONSOLE.lightslategray(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === darkslateblue
  # ========================================================================= #
  def darkslateblue(i)
    return KONSOLE.darkslateblue(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === limegreen
  # ========================================================================= #
  def limegreen(i)
    return KONSOLE.limegreen(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === darkseagreen
  # ========================================================================= #
  def darkseagreen(i)
    return KONSOLE.darkseagreen(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === cornflowerblue
  # ========================================================================= #
  def cornflowerblue(i)
    return KONSOLE.cornflowerblue(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === mediumslateblue
  # ========================================================================= #
  def mediumslateblue(i)
    return KONSOLE.mediumslateblue(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === mediumorchid
  # ========================================================================= #
  def mediumorchid(i)
    return KONSOLE.mediumorchid(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === mediumorchid
  # ========================================================================= #
  def springgreen(i)
    return KONSOLE.springgreen(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === mediumturquoise
  # ========================================================================= #
  def mediumturquoise(i)
    return KONSOLE.mediumturquoise(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === sandybrown
  # ========================================================================= #
  def sandybrown(i)
    return KONSOLE.sandybrown(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === deepskyblue
  # ========================================================================= #
  def deepskyblue(i)
    return KONSOLE.deepskyblue(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === cadetblue
  # ========================================================================= #
  def cadetblue(i)
    return KONSOLE.cadetblue(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === orange
  # ========================================================================= #
  def orange(i = '')
    return KONSOLE.orange(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === silver
  # ========================================================================= #
  def silver(i = '')
    return KONSOLE.silver(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === mediumpurple
  # ========================================================================= #
  def mediumpurple(i = '')
    return KONSOLE.mediumpurple(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === steelblue
  # ========================================================================= #
  def steelblue(i = '')
    return KONSOLE.steelblue(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === lightgreen
  # ========================================================================= #
  def lightgreen(i = '')
    return KONSOLE.lightgreen(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === skyblue
  # ========================================================================= #
  def skyblue(i = '')
    return KONSOLE.skyblue(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === swarn
  # ========================================================================= #
  def swarn(i = '')
    return Colours.swarn(i) if use_colours?
    i
  end

  # ========================================================================= #
  # === ewarn
  # ========================================================================= #
  def ewarn(i = '')
    e swarn(i)
  end

end; end