#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
# This file will hold the relevant remote URL entries for the classes
# found in this directory.
# =========================================================================== #
# require 'cookbooks/check_for_updates/remote_urls.rb'
# =========================================================================== #
module Cookbooks

  # ========================================================================= #
  # === REMOTE_URL_FOR_KDE_FRAMEWORKS
  #
  # This URL should point to the latest KDE-frameworks release, which
  # presently (13 March 2017) is 5.44.0 (the URL, oddly enough, does
  # not include the trailing "0" though).
  # ========================================================================= #
  REMOTE_URL_FOR_KDE_FRAMEWORKS =
    'https://download.kde.org/stable/frameworks/5.45/'

  # ========================================================================= #
  # === REMOTE_URL_FOR_KDE_APPLICATIONS
  # ========================================================================= #
  REMOTE_URL_FOR_KDE_APPLICATIONS =
    # 'https://download.kde.org/stable/applications/17.08.3/src/'
    # 'https://download.kde.org/unstable/applications/17.11.80/src/'
    # 'https://download.kde.org/unstable/applications/17.11.90/src/'
    # 'https://download.kde.org/stable/applications/17.12.3/src/'
    'https://download.kde.org/stable/applications/18.04.0/src/'

  # ========================================================================= #
  # === REMOTE_URL_FOR_KDE_PLASMA
  #
  # Always point to the latest KDE-Plasma (upstream) URL here.
  #
  # To invoke updating all KDE-plasma components from the commandline,
  # you may do this:
  #   update_kde_plasma
  # ========================================================================= #
  REMOTE_URL_FOR_KDE_PLASMA =
    'https://www.kde.org/info/plasma-5.12.4.php'

  # ========================================================================= #
  # === REMOTE_URL_FOR_KDE_PORTING_AIDS
  # ========================================================================= #
  REMOTE_URL_FOR_KDE_PORTING_AIDS =
    "#{REMOTE_URL_FOR_KDE_FRAMEWORKS}portingAids/"

  # ========================================================================= #
  # === REMOTE_DOWNLOAD_URL_FOR_KDE_PLASMA
  # ========================================================================= #
  REMOTE_DOWNLOAD_URL_FOR_KDE_PLASMA =
    'https://download.kde.org/stable/plasma/'

  # ========================================================================= #
  # === REMOTE_SLACKWARE_HOMEPAGE
  # ========================================================================= #
  REMOTE_SLACKWARE_HOMEPAGE =
    'http://www.slackware.com/changelog/current.php?cpu=x86_64'

  # ========================================================================= #
  # === BASE_URL_TO_GNOME_SOURCES
  # ========================================================================= #
  BASE_URL_TO_GNOME_SOURCES =
    'http://ftp.gnome.org/pub/GNOME/sources/'

  # ========================================================================= #
  # === Cookbooks::CheckForBlfsUpdates::BLFS_CHANGELOG_WEBPAGE
  # ========================================================================= #
  BLFS_CHANGELOG_WEBPAGE =
    'http://www.linuxfromscratch.org/blfs/view/cvs/introduction/changelog.html'

  # ========================================================================= #
  # === REMOTE_PUB_MATE_DESKTOP_RELEASES
  # ========================================================================= #
  REMOTE_PUB_MATE_DESKTOP_RELEASES =
    'http://pub.mate-desktop.org/releases/'

  # ========================================================================= #
  # === REMOTE_PUB_MATE_DESKTOP_RELEASES_LATEST_VERSION            (mate tag)
  #
  # This should be used as the base for the download-functionality in
  # the file check_for_mate_desktop_updates.rb
  # ========================================================================= #
  REMOTE_PUB_MATE_DESKTOP_RELEASES_LATEST_VERSION =
    "#{REMOTE_PUB_MATE_DESKTOP_RELEASES}1.20/"

  # ========================================================================= #
  # === REMOTE_URL_TO_THE_MATE_DESKTOP_COMPONENTS
  #
  # This constant specifies where we can find the (remote) source code
  # to the mate-desktop, via HTTP-file listing.
  # ========================================================================= #
  REMOTE_URL_TO_THE_MATE_DESKTOP_COMPONENTS =
    "#{REMOTE_PUB_MATE_DESKTOP_RELEASES_LATEST_VERSION}?C=M&O=D"

end