# =========================================================================== #
# require 'cookbooks/class/class_methods/class_methods.rb'
# =========================================================================== #
require 'cookbooks/misc/available_cookbooks.rb'
require 'cookbooks/class/class_methods/opnn.rb'

module Cookbooks

class Cookbook < Base

  # ========================================================================= #
  # === []
  # ========================================================================= #
  def self.[](i = '')
    self.new(i)
  end

  # ========================================================================= #
  # === Cookbooks::Cookbook.return_dataset
  #
  # This will return the whole dataset. You can then use this dataset
  # in other programs.
  #
  # Returns: a Hash
  #
  # Usage examples:
  #   htop_dataset = SanitizeCookbookDataset.return_array(:htop)
  #   ruby_dataset = SanitizeCookbookDataset.return_array(:ruby)
  # ========================================================================= #
  def self.return_dataset(of_this_program = :htop)
    dataset = ::Cookbooks::Cookbook.new(of_this_program).yaml_dataset?
    return dataset
  end

  # ========================================================================= #
  # === Cookbooks::Cookbook.does_include?
  # ========================================================================= #
  def self.does_include?(i)
    ::Cookbooks.does_include?(i)
  end

end; end