#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
# require 'cookbooks/class/feedback/feedback_all_available_formats.rb'
# =========================================================================== #
require 'cookbooks/class/feedback/feedback_format_specification_of.rb'
require 'cookbooks/module_methods/e.rb'

module Cookbooks

class Cookbook < Base

  # ========================================================================= #
  # === Cookbooks::Cookbook.feedback_all_available_formats
  #
  # To invoke this method from the commandline, try:
  #
  #   cookbooks --feedback_all_available_formats
  #
  # ========================================================================= #
  def self.feedback_all_available_formats
    dataset = return_file_specification_of_registered_cookbook_entries
    dataset.each_pair {|key, value|
      if Object.const_defined? :Colours
        separator = slateblue(': ')
      else
        separator = simp(': ')
      end
      ::Cookbooks.e(
        key.ljust(30)+separator+value.rjust(10)
      )
    }
  end

end; end

if __FILE__ == $PROGRAM_NAME
  Cookbooks::Cookbook.feedback_all_available_formats
end