require 'cookbooks/module_methods/display_md5sum.rb'

module Cookbooks

class Cookbook < Base

  # ========================================================================= #
  # === reset                                                     (reset tag)
  # ========================================================================= #
  def reset
    @use_colours = true
    @use_menu_interface = true
    @array_show_these_entries = []
    initialize_the_internal_hash 
  end

  # ========================================================================= #
  # === initialize_the_internal_hash
  # ========================================================================= #
  def initialize_the_internal_hash
    # ======================================================================= #
    # Everything is stored here into this main Hash.
    # ======================================================================= #
    @internal_hash = {}
    @internal_hash[:yaml_dataset]                            = nil # Is nil initially.
    @internal_hash[:search_for_this_program]                 = nil
    @internal_hash[:is_the_program_included]                 = false
    @internal_hash[:replace_plus_with_long_name]             = REPLACE_PLUS_WITH_LONG_NAME
    @internal_hash[:array_invalid_keys]                      = [] # Invalid entries will be stored here. Must ALWAYS be an Array.
    @internal_hash[:shall_we_display_the_md5sum]             = ::Cookbooks.display_md5sum?
    # ======================================================================= #
    # By default, we will word-wrap too long text lines.
    # ======================================================================= #
    @internal_hash[:wrap_result]                             = true
    @internal_hash[:report_how_many_programs_are_registered] = false
    @internal_hash[:use_this_connective_token]               = '-'
    # ======================================================================= #
    # Next, determine whether to use cookbook-internal aliases or whether
    # we shall not.
    # ======================================================================= #
    @internal_hash[:make_use_of_aliases_kept_in_the_file_cookbook_aliases] = true
  end

end; end