#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
require 'cookbooks/constants/constants.rb'

module Cookbooks

# =========================================================================== #
# === Cookbooks.show_tutorial
#
# This will show a tutorial to the user, instructing them how to use
# the Cookbooks project.
#
# Usage example:
#   cookbooks --tutorial
# =========================================================================== #
def self.show_tutorial(
    try_to_use_colours = true
  )
  require 'io/console'
  display_this_message = "\n[Press any key to continue; q to exit early]"
  # ========================================================================= #
  # The file for the short tutorial can be seen in 
  # "tutorial/short_tutorial.md".
  # ========================================================================= #
  _ = Cookbooks.file_short_tutorial?
  if File.exist? _
    dataset = File.readlines(_) # Display the file next.
    chunks = dataset.each_slice(20).to_a
    counter = 0
    e # And a newline to start with. 
    loop {
      content_that_will_be_displayed = chunks[counter]
      if try_to_use_colours
        content_that_will_be_displayed.map! {|line|
          # ================================================================= #
          # Next colourize anything that is indented with 4 leading spaces.
          # ================================================================= #
          line.gsub(/^(    .+)$/, lightgreen('\1'))
        }
      end
      e content_that_will_be_displayed
      # ===================================================================== #
      # Next, display the "press any key to continue" message.
      # ===================================================================== #
      if try_to_use_colours
        display_this_message = mediumseagreen(display_this_message)
      end
      e display_this_message
      case STDIN.getch
      when 'q'
        exit
      else
        counter += 1
        exit if counter >= chunks.size
      end
    }
  end
end

end