# =========================================================================== #
# Constants that are essentially archive-extensions can be kept here.
# =========================================================================== #
# require 'cookbooks/constants/archives.rb'
# =========================================================================== #
module Cookbooks

  # ========================================================================= #
  # === TAR_XZ
  #
  # Several archive types are kept here.
  # ========================================================================= #
  TAR_XZ  = '.tar.xz'
    TARXZ = TAR_XZ

  # ========================================================================= #
  # === TAR_BZ2
  # ========================================================================= #
  TAR_BZ2 = '.tar.bz2'
    TARBZ2 = TAR_BZ2

  # ========================================================================= #
  # === TAR_GZ
  # ========================================================================= #
  TAR_GZ  = '.tar.gz'
    TARGZ = TAR_GZ

  # ========================================================================= #
  # === Cookbooks::ZIP
  # ========================================================================= #
  ZIP     = '.zip'

  # ========================================================================= #
  # === DEFAULT_ARCHIVE_TYPE
  #
  # This constant may be required so that other classes know which is
  # the default archive. This can then be used to, for example, repackage
  # archives into this format.
  # ========================================================================= #
  DEFAULT_ARCHIVE_TYPE = TAR_XZ # Default is .tar.xz for now.

end