# =========================================================================== #
# This file collects useful regexes that can be used within the scope of
# the Cookbooks project.
# =========================================================================== #
# require 'cookbooks/constants/regexes.rb'
# =========================================================================== #
module Cookbooks

  # ========================================================================= #
  # === REGEX_TO_SANITIZE_LIBRARIES
  #
  # Use this regex if you wish to sanitize some libraries.
  # ========================================================================= #
  REGEX_TO_SANITIZE_LIBRARIES = /(.+)\.{(\w+),(\w+)}?/

  # ========================================================================= #
  # === Cookbooks::REGEX_TO_USE_FOR_FOR_GITHUB
  #
  # This constant is used to grab archives from github. These archives have
  # a form like "https://github.com/ninja-build/ninja/archive/v1.7.1.tar.gz".
  #
  # The following example on rubular shows how to use this:
  #
  #   http://rubular.com/r/xTVfP9TWKG
  #
  # ========================================================================= #
  REGEX_TO_USE_FOR_FOR_GITHUB = /^http.+\/archive\/(v.+)$/

end