#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
# require 'cookbooks/directory/individual_cookbooks_directory.rb'
# =========================================================================== #
require 'cookbooks/project_settings/project_yaml_directory.rb'

module Cookbooks

  # ========================================================================= #
  # === Cookbooks::INDIVIDUAL_COOKBOOKS_DIRECTORY
  #
  # The above constant was added at around 16.09.2014.
  #
  # It is one of the most important constant, because it specifies
  # where to find all the individual yaml entries.
  # ========================================================================= #
  INDIVIDUAL_COOKBOOKS_DIRECTORY = "#{PROJECT_YAML_DIRECTORY}individual_cookbooks/"
    INDIVIDUAL_COOKBOOKS         = INDIVIDUAL_COOKBOOKS_DIRECTORY
    COOKBOOKS_DIRECTORY          = INDIVIDUAL_COOKBOOKS_DIRECTORY
    # COOKBOOKS_BASE_DIRECTORY   = INDIVIDUAL_COOKBOOKS_DIRECTORY # Not good as it is defined somewhere else.
    COOKBOOK_DIRECTORY           = INDIVIDUAL_COOKBOOKS_DIRECTORY
    COOKBOOKS_DIR                = INDIVIDUAL_COOKBOOKS_DIRECTORY

  # =========================================================================== #
  # === Cookbooks.individual_cookbooks_directory?
  #
  # Provide a pointer towards the directory where the individual
  # cookbooks are kept.
  # =========================================================================== #
  def self.individual_cookbooks_directory?
    INDIVIDUAL_COOKBOOKS_DIRECTORY
  end; self.instance_eval { alias cookbooks_directory?      individual_cookbooks_directory? } # === Cookbooks.cookbooks_directory?
       self.instance_eval { alias cookbook_directory?       individual_cookbooks_directory? } # === Cookbooks.cookbook_directory?
       self.instance_eval { alias cookbook_directory        individual_cookbooks_directory? } # === Cookbooks.cookbook_directory
       self.instance_eval { alias individual_cookbooks?     individual_cookbooks_directory? } # === Cookbooks.individual_cookbooks?
       self.instance_eval { alias individual?               individual_cookbooks_directory? } # === Cookbooks.individual?
       self.instance_eval { alias individual_cookbooks_dir? individual_cookbooks_directory? } # === Cookbooks.individual_cookbooks_dir?

  # ========================================================================= #
  # === Constants.individual_cookbooks_directory?
  # ========================================================================= #
  def individual_cookbooks_directory?
    Cookbooks.individual_cookbooks_directory?
  end; alias cookbooks_directory? individual_cookbooks_directory? # === cookbooks_directory?

  # ========================================================================= #
  # === cookbook_directory?
  #
  # This method will report where the cookbook directory can be found.
  # ========================================================================= #
  def cookbook_directory?
    opn; e 'The cookbook directory can be found here:'
    e sfancy("  #{Cookbooks.cookbooks_directory?}")
  end

end