#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
require 'cookbooks/directory/individual_cookbooks_directory.rb'

module Cookbooks

class DisplayCookbookDataset < Base

  # ========================================================================= #
  # === Cookbooks::DisplayCookbookDataset::Feedback.feedback_url
  #
  # This method will feedback information about the url of a program.
  # Each member inside @remote_urls is a string, and we will report
  # all of them.
  # ========================================================================= #
  def self.feedback_url(i = ARGV)
    i = i.first if i.is_a? Array
    Feedback.register(i) unless Feedback.dataset?
    result = nil
    can_be_found_in_this_cookbook = nil
    if Object.const_defined? :Cookbooks
      can_be_found_in_this_cookbook = Cookbooks.individual_cookbooks_directory?+i+'.yml'
    end
    cliner {
      print Colours.simp(' => URL for ')+sfancy(i)
      # ===================================================================== #
      # Next, display where it is defined.
      # ===================================================================== #
      unless can_be_found_in_this_cookbook.nil?
        e  Colours.simp(' (as defined in ')+sfile(can_be_found_in_this_cookbook)+')'
      end
      e Colours.simp('    points to: ')
      e
      # ===================================================================== #
      # We must ensure to not fill up empty URLs
      # ===================================================================== #
      Feedback.dataset?.remote_urls.each_with_index { |_, index| index += 1
        unless _.empty?
          e Colours.simp('    ('+index.to_s+') '+_)
          result = _
        end
      }; e
    }
    return result
  end

end

# =========================================================================== #
# === Cookbooks.feedback_url
# =========================================================================== #
def self.feedback_url(i = ARGV)
  ::Cookbooks::DisplayCookbookDataset::Feedback.feedback_url
end

end

if __FILE__ == $PROGRAM_NAME
  Cookbooks::DisplayCookbookDataset.feedback_url(ARGV)
end