#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
require 'cookbooks/display_cookbook_dataset/constants.rb'
require 'cookbooks/base/base.rb'

module Cookbooks

class DisplayCookbookDataset < Base

  # ========================================================================= #
  # === reset                                                     (reset tag)
  # ========================================================================= #
  def reset
    super()
    @internal_hash = {}
    @internal_hash[:show_md5sum]    = show_md5sum?
    @internal_hash[:this_program]   = nil # Initialize it.
    @internal_hash[:programs_dir]   = PROGRAMS_DIR
    @internal_hash[:base_dir]       = SRC_DIR # Keep a reference to "/Users/x/SRC/" or to any other value.
    @internal_hash[:extra_commands] = []
    @internal_hash[:found_result]   = false # We have not yet searched, so this defaults to false.
    @internal_hash[:may_we_exit]    = false
    @internal_hash[:wrap_result]    = true # If true then we will wrap the description of a given program.
    # ======================================================================= #
    # We can replace '+' with 'plus' depending on whether the constant
    # REPLACE_PLUS_WITH_LONG_NAME tells us to do so. The program gtk+
    # is an example for this - it would become "gtkplus". If you do not
    # want to have '+' as directory names under /Programs/, then you
    # can enable this via that constant.
    # ======================================================================= #
    @internal_hash[:replace_plus_with_long_name] = REPLACE_PLUS_WITH_LONG_NAME
    reset_yaml_dataset
  end; alias clear reset # === clear

  # ========================================================================= #
  # === reset_yaml_dataset
  # ========================================================================= #
  def reset_yaml_dataset
    @yaml_dataset = {}
  end

end; end