#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
# === Cookbooks::ArchiveType
#
# This class feedbacks the archive type.
#
# It is used only in the class UpdateEntry so far.
# =========================================================================== #
# require 'cookbooks/archive_type.rb'
# =========================================================================== #
require 'cookbooks/base/base.rb'

module Cookbooks # === Cookbooks::ArchiveType

class ArchiveType < Base # require 'cookbooks/archive_type/archive_type.rb'

  # ========================================================================= #
  # === DEFAULT_ARCHIVE_TYPE
  # ========================================================================= #
  DEFAULT_ARCHIVE_TYPE = '/Users/x/SRC/libidn/libidn-1.25.tar.xz'

  # ========================================================================= #
  # === Cookbooks::ArchiveType.archive_type? 'foobar-1.0.tar.xz'
  # ========================================================================= #
  def self.archive_type?(i)
    self.new(i).archive_type?
  end

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(i)
    set_archive_type(i)
  end

  # ========================================================================= #
  # === set_archive_type
  # ========================================================================= #
  def set_archive_type(i = nil)
    i = DEFAULT_ARCHIVE_TYPE if i.nil?
    i = i.first if i.is_a? Array
    i = i.to_s.dup
    if i.include?    '.tar.bz2'
      i = '.tar.bz2'
    elsif i.include? '.tar.gz'
      i = '.tar.gz'
    end
    @archive_type = i
  end

  # ========================================================================= #
  # === archive_type
  #
  # Feedback the archive type.
  # ========================================================================= #
  def archive_type?
    @archive_type
  end; alias to_s archive_type? # === to_s

end; end

if __FILE__ == $PROGRAM_NAME
  archive = Cookbooks::ArchiveType.new(ARGV)
  puts 'The archive type is:'
  puts '  '+archive.archive_type?
end # atype libdrm-2.38.tar.bz2