#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
# === Cookbooks::CreateBigYamlCookbook
#
# This class will create one huge .yaml file which holds all the various
# yaml datasets.
#
# Usage example:
#   Cookbooks::CreateBigYamlCookbook.new
# =========================================================================== #
# require 'cookbooks/misc/create_big_yaml_cookbook.rb'
# =========================================================================== #
require 'cookbooks/base/base.rb' # require 'cookbooks/constants.rb' # base.rb pulls this in.
require 'cookbooks/misc/available_cookbooks.rb'
require 'cookbooks/class/class.rb'

module Cookbooks

class CreateBigYamlCookbook < Base # === Cookbooks::CreateBigYamlCookbook.new

  # ========================================================================= #
  # === NAMESPACE
  # ========================================================================= #
  NAMESPACE = self.inspect

  # ========================================================================= #
  # === STORE_INTO_THIS_FILE
  # ========================================================================= #
  STORE_INTO_THIS_FILE = ALL_PROGRAMS # ALL_PROGRAMS is defined in the file constants.rb

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(
      i           = nil,
      run_already = true
    )
    reset
    set_input(i)
    run if run_already
  end

  # ========================================================================= #
  # === reset                                                     (reset tag)
  # ========================================================================= #
  def reset
    super()
    @hash = {} # This is the main Hash.
  end

  # ========================================================================= #
  # === set_input
  # ========================================================================= #
  def set_input(i = '')
    i = i.first if i.is_a? Array
    i = i.to_s.dup
    @input = i
  end

  # ========================================================================= #
  # === input?
  # ========================================================================= #
  def input?
    @input
  end

  # ========================================================================= #
  # === create_big_yaml_file
  # ========================================================================= #
  def create_big_yaml_file
    _ = ::Cookbooks::AvailableCookbooks[].programs?
    _.each {|program|
      opnn; e simp(program)
      hash = {}
      dataset = Cookbooks::Cookbook.return_array(program) { :bypass_menu }
      hash[program] = dataset
      @hash.update(hash)
    }
    what = YAML.dump(@hash)
    into = STORE_INTO_THIS_FILE
    write_what_into(what, into)
    opnn; e 'Storing into `'+sfile(into)+'`.'
  end

  # ========================================================================= #
  # === opnn
  # ========================================================================= #
  def opnn
    super(NAMESPACE)
  end

  # ========================================================================= #
  # === run                                                         (run tag)
  # ========================================================================= #
  def run
    opnn; e 'Now creating a big yaml file. This will take some time.'
    create_big_yaml_file
  end

  # ========================================================================= #
  # === []
  # ========================================================================= #
  def self.[](i = '')
    self.new
  end

end; end

if __FILE__ == $PROGRAM_NAME
  Cookbooks::CreateBigYamlCookbook.new(ARGV)
end # big_yaml_cookbook