#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
# === Cookbooks::SaveFile
#
# This file provides file-saving capabilities. This is already possible
# within ruby itself via File.open but I wanted to use a simpler API
# to memorize.
# =========================================================================== #
# require 'cookbooks/misc/save_file.rb'
# =========================================================================== #
module Cookbooks

module SaveFile

  # ========================================================================= #
  # === Cookbooks::SaveFile.write_what_into
  # ========================================================================= #
  def self.write_what_into(what, into)
    File.open(into, 'w') { |file| file.write(what) }
  end

  # ========================================================================= #
  # === Cookbooks::SaveFile.append_what_into
  # ========================================================================= #
  def self.append_what_into(what, into)
    File.open(into, 'a') { |file| file.write(what) }
  end

end

  # ========================================================================= #
  # === Cookbooks.write_what_into
  # ========================================================================= #
  def self.write_what_into(what, into)
    ::Cookbooks::SaveFile.write_what_into(what, into)
  end

  # ========================================================================= #
  # === Cookbooks.append_what_into
  # ========================================================================= #
  def self.append_what_into(what, into)
    ::Cookbooks::SaveFile.append_what_into(what, into)
  end

end

if __FILE__ == $PROGRAM_NAME
  Cookbooks::SaveFile.write_what_into
  Cookbooks::SaveFile.append_what_into
end