#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
# require 'cookbooks/module_methods/aliases.rb'
# =========================================================================== #
require 'cookbooks/aliases/cookbook_aliases.rb' # For the constant COOKBOOK_ALIASES.

module Cookbooks

  # ========================================================================= #
  # === Cookbooks.cookbook_aliases
  #
  # This will return the registered/available keys, in a sorted manner.
  #
  # This will have about 300 entries (as of August 2017).
  # ========================================================================= #
  def self.cookbook_aliases
    COOKBOOK_ALIASES.keys.sort
  end; self.instance_eval { alias aliases? cookbook_aliases } # === Cookbook.aliases?

end

if __FILE__ == $PROGRAM_NAME
  puts 'How many aliases are registered? '+
        Cookbooks.cookbook_aliases.size.to_s 
end # cookbook_aliases