# =========================================================================== #
# require 'cookbooks/module_methods/available_programs.rb'
# =========================================================================== #
require 'cookbooks/misc/available_cookbooks.rb'
require 'cookbooks/colours/colours.rb'

module Cookbooks

  # ========================================================================= #
  # === Cookbooks.include_this_program?
  #
  # This will always check without using aliases. If you need aliases,
  # have a look at Cookbooks.really_does_include?() instead.
  # ========================================================================= #
  def self.include_this_program?(i)
    i.delete!('-') if i.include? '-' # Can not have '-' characters.
    Cookbooks.available_programs?.include?(i)
  end

  # ========================================================================= #
  # === Cookbooks.n_programs_available?
  # ========================================================================= #
  def self.n_programs_available?
    Cookbooks.available_programs?.size
  end

  # ========================================================================= #
  # === Cookbooks.report_n_programs_available
  #
  # This is similar to Cookbooks.n_programs_available? but will report the
  # amount of cookbooks registered.
  # ========================================================================= #
  def self.report_n_programs_available
    _ = Cookbooks.n_programs_available?
    e sfancy(_)+' programs are registered in our cookbooks at '+
      simp(return_date)+'.'
  end

end

if __FILE__ == $PROGRAM_NAME
  Cookbooks.report_n_programs_available 
end