#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
# require 'cookbooks/module_methods/create_programs_version_html_file.rb'
# =========================================================================== #
require 'cookbooks/version/version.rb'
require 'cookbooks/module_methods/e.rb'
require 'cookbooks/module_methods/time.rb'
require 'cookbooks/module_methods/initialize_configuration.rb'
require 'cookbooks/misc/save_file.rb'

module Cookbooks

  # ========================================================================= #
  # === Cookbooks.create_programs_version_html_file
  #
  # The default input file can be found at:
  #   /Depot/Temp/CookbookDirectory/programs_version.txt
  # ========================================================================= #
  def self.create_programs_version_html_file(
      use_this_file = Cookbooks.store_into_this_directory+'programs_version.txt'
    )
    updated_when = Cookbooks.return_date+' '+Cookbooks.return_time
    # ======================================================================= #
    # Generate a .html file.
    # ======================================================================= #
    dataset = '<html><title>Programs of Cookbooks Version: '+::Cookbooks.version?+
              ' Last updated: '+updated_when+
              '</title><body>
              Last update: <b>'+updated_when+'</b><br>
              <pre style="font-size:1.2em">'+
              File.read(use_this_file)+'</pre></body></html>'
    # ======================================================================= #
    # Store that file next:
    # ======================================================================= #
    use_this_file = ::Cookbooks.temp_directory?+'programs_version.html'
    opn; e 'Generating a new file at `'+sfile(use_this_file)+'`.'
    ::Cookbooks::SaveFile.write_what_into(
      dataset, use_this_file
    ) # Store it here.
  end

end

if __FILE__ == $PROGRAM_NAME
  Cookbooks.create_programs_version_html_file
end