# =========================================================================== #
# require 'cookbooks/module_methods/display_md5sum.rb'
# =========================================================================== #
require 'cookbooks/constants/constants.rb'

module Cookbooks

  # ========================================================================= #
  # === @display_md5sum
  #
  # The following instance variable will determine whether we will show
  # the md5sum or whether we will not.
  # ========================================================================= #
  @display_md5sum = YAML.load_file(FILE_USE_MD5SUM)

  # ========================================================================= #
  # === Cookbooks.display_md5sum?
  #
  # Tell us whether we will display the md5sum values or whether we
  # will not.
  # ========================================================================= #
  def self.display_md5sum?
    @display_md5sum
  end

  # ========================================================================= #
  # === Cookbooks.disable_md5sum_calculation
  #
  # Use this method to disable the md5sum calculation altogether.
  # ========================================================================= #
  def self.disable_md5sum_calculation
    @display_md5sum = false
  end; self.instance_eval { alias do_not_show_md5sum disable_md5sum_calculation } # === SanitizeCookbookDataset.do_not_show_md5sum

end