#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
# require 'cookbooks/module_methods/fast_return_file_size_of_this_program.rb'
# =========================================================================== #
require 'yaml'
require 'cookbooks/module_methods/e.rb'
require 'cookbooks/module_methods/initialize_configuration.rb'

module Cookbooks

  # ========================================================================= #
  # === Cookbooks.fast_return_file_size_of_this_program
  #
  # This method will quickly return the file
  # ========================================================================= #
  def self.fast_return_file_size_of_this_program(i)
    if i.is_a? Array
      i = i.join(' ').strip
    end
    if File.directory? DIRECTORY_EXPANDED_COOKBOOKS
      target_file = DIRECTORY_EXPANDED_COOKBOOKS+i+'.yml'
      if File.exist? target_file
        dataset = YAML.load_file(target_file)
        archive_size = dataset['archive_size']
        return archive_size
      else
        e 'No file exists at '+target_file
      end
    else
      e 'No directory exists at '+
        DIRECTORY_EXPANDED_COOKBOOKS
    end
  end

end

if __FILE__ == $PROGRAM_NAME
  puts Cookbooks.fast_return_file_size_of_this_program(ARGV)
end # fast_return_file_size_of_this_program htop