#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
require 'cookbooks/class/class.rb'

module Cookbooks

  # ========================================================================= #
  # === Cookbooks.find_url_for
  #
  # Use this method to find a specific URL quickly. We will return 
  # the first URL always, also called url1.
  #
  # Usage example:
  #   Cookbooks.find_url_for()
  #   Cookbooks.find_url_for(:htop)
  # ========================================================================= #
  def self.find_url_for(i = ARGV)
    i = i.first if i.is_a? Array
    i = i.to_s
    _ = ::Cookbooks::Cookbook.new(i) { :skip_menu_interface }
    _.url1?.to_s.strip # Return the URL here.
  end; self.instance_eval { alias url1 find_url_for } # === Cookbooks.url1

end

if __FILE__ == $PROGRAM_NAME
  puts Cookbooks.find_url_for(ARGV)
end # rb find_url_for.rb htop