# =========================================================================== #
# require 'cookbooks/module_methods/permanently_set_temp_directory.rb'
# =========================================================================== #
require 'cookbooks/constants/misc.rb'
require 'cookbooks/misc/save_file.rb'
module Cookbooks

  # ========================================================================= #
  # === Cookbooks.permanently_set_temp_directory
  #
  # Use this method if you wish to permanently modify the temp
  # directory, that is, the directory we will extract to.
  # ========================================================================= #
  def self.permanently_set_temp_directory(i)
    i << '/' unless i.end_with? '/'
    # ======================================================================= #
    # Modify the yaml file next:
    # ======================================================================= #
    what = i
    into = FILE_TEMP_DIRECTORY_YAML
    Cookbooks::SaveFile.write_what_into(what, into)
    # ======================================================================= #
    # And also modify it on my home system, if IS_ROEBE is true.
    # ======================================================================= #
    if is_on_roebe?
      into = RUBY_SRC_DIR_AT_HOME+'cookbooks/lib/cookbooks/yaml/configuration/'+
             File.basename(into)
      Cookbooks::SaveFile.write_what_into(what, into)
    end
    Cookbooks.set_temp_directory(i) # And also sync it.
  end

end