# =========================================================================== #
# require 'cookbooks/module_methods/remove_archive_from_the_end.rb'
# =========================================================================== #
module Cookbooks

  # ========================================================================= #
  # === Cookbooks.remove_archive_from_the_end
  #
  # This will remove the trailing archive type such as .tar.xz or .tar.gz
  # and so forth.
  # ========================================================================= #
  def self.remove_archive_from_the_end(i)
    i = i.dup if i.frozen?
    if i.end_with? '.tar.gz'
      i.sub!(/\.tar\.gz$/,'')
    elsif i.end_with? '.tar.xz'
      i.sub!(/\.tar\.xz$/,'')
    elsif i.end_with? '.tar.bz2'
      i.sub!(/\.tar\.bz2$/,'')
    elsif i.end_with? '.jar'
      i.sub!(/\.jar$/,'')
    elsif i.end_with? '.phar'
      i.sub!(/\.phar$/,'')
    end
    return i
  end

end