# =========================================================================== #
# require 'cookbooks/module_methods/return_archive_type.rb'
# =========================================================================== #
module Cookbooks

  # ========================================================================= #
  # === Cookbooks.return_archive_type
  #
  # The default will be, as you can see from the default argument,
  # .tar.xz. Note that this assumption is not always correct, e. g.
  # if you do not repackage.
  #
  # Note that the simple archives, such as .gem or .zip, could be
  # detected automatically, but entries such as .tar.gz are harder
  # detect, hence why we will use a hardcoded case menu here.
  # ========================================================================= #
  def self.return_archive_type(i = '.tar.xz')
    if i.end_with? '.tar.xz'
      '.tar.xz'
    elsif i.end_with? '.xz'
      '.tar.xz'
    elsif i.end_with? '.tar.gz'
      '.tar.gz'
    elsif i.end_with? '.tar.bz2'
      '.tar.bz2'
    elsif i.end_with? '.tar.lz'
      '.tar.lz'
    elsif i.end_with? '.gem'
      '.gem'
    elsif i.end_with? '.zip'
      '.zip'
    elsif i.end_with? '.jar'
      '.jar'
    elsif i.end_with? '.phar'
      '.phar'
    else
      i
    end
  end

end