#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
# require 'cookbooks/module_methods/return_array_of_programs_without_a_blfs_entry.rb'
# =========================================================================== #
require 'cookbooks/misc/available_cookbooks.rb'
require 'cookbooks/directory/individual_cookbooks_directory.rb'

module Cookbooks

  # ========================================================================= #
  # === Cookbooks.return_array_of_programs_without_a_blfs_entry
  #
  # This method will return an Array that keeps track of all local
  # cookbook files without a BLSF entry.
  #
  # This functionality can then be used to output this Array on the
  # commandline
  # ========================================================================= #
  def self.return_array_of_programs_without_a_blfs_entry
    array_of_programs_without_a_blfs_entry = []
    # ======================================================================= #
    # First, obtain all available programs.
    # ======================================================================= #
    all_available_programs = ::Cookbooks.available_programs?
    all_available_programs.each {|this_program|
      location = Cookbooks.individual_cookbooks_directory?+this_program+'.yml'
      dataset = File.read(location)
      unless dataset.include? ' blfs: http'
        array_of_programs_without_a_blfs_entry << this_program
      end
    }
    return array_of_programs_without_a_blfs_entry
  end

end

if __FILE__ == $PROGRAM_NAME
  p Cookbooks.return_array_of_programs_without_a_blfs_entry
end