#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
# require 'cookbooks/module_methods/return_location_of_this_yaml_file.rb'
# =========================================================================== #
require 'cookbooks/module_methods/is_on_roebe.rb'
require 'cookbooks/constants/misc.rb'

module Cookbooks

  # ========================================================================= #
  # === Cookbooks.return_location_of_this_yaml_file
  #
  # Invocation example:
  #   Cookbooks.return_location_of_this_yaml_file 'ruby'
  # ========================================================================= #
  def self.return_location_of_this_yaml_file(i)
    i = i.to_s unless i.is_a? String
    unless i.end_with? '.yml'
      i = i.dup if i.frozen?
      i << '.yml'
    end
    if is_on_roebe?
      # ===================================================================== #
      # Hardcoded on my own system.
      # ===================================================================== #
      _ = RUBY_SRC_DIR_AT_HOME+'cookbooks/lib/cookbooks/yaml/individual_cookbooks/'
      _+i
    else
      Cookbooks.individual_cookbooks_directory?+i
    end
  end

end

if __FILE__ == $PROGRAM_NAME
  puts Cookbooks.return_location_of_this_yaml_file 'ruby'
end