#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
# The purpose of this file here is to simply report which tags are
# available for the individual cookbooks.
# =========================================================================== #
# require 'cookbooks/module_methods/show_available_tags.rb'
# =========================================================================== #
require 'yaml'
require 'cookbooks/constants/constants.rb'
require 'cookbooks/module_methods/opn.rb'
require 'cookbooks/module_methods/e.rb'
require 'cookbooks/colours/colours.rb'

module Cookbooks

  # ========================================================================= #
  # === Cookbooks.show_available_tags
  # ========================================================================= #
  def self.show_available_tags(
      use_this_path  = FILE_ALLOWED_TAGS,
      show_namespace = true
    )
    case use_this_path
    when :default
      use_this_path = FILE_ALLOWED_TAGS
    end
    case show_namespace
    when :do_not_report_the_namespace, :be_quiet
      show_namespace = false
    end
    opn if show_namespace
    e 'The following tags are registered (and thus available - '\
      'sorted alphabetically):'
    array = YAML.load_file(use_this_path)
    array.each {|entry|
      e "  #{simp(entry)}"
    }
  end

end

if __FILE__ == $PROGRAM_NAME
  Cookbooks.show_available_tags  
end # show_available_tags