#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
# require 'cookbooks/module_methods/show_available_utility_scripts.rb'
# =========================================================================== #
require 'cookbooks/constants/cookbook_utility_scripts.rb'
require 'cookbooks/module_methods/e.rb'
require 'cookbooks/colours/colours.rb'

module Cookbooks

  # ========================================================================= #
  # === Cookbooks.show_available_utility_scripts
  #
  # Simply show all available utility scripts.
  #
  # Invocation example from the commandline:
  #   cookbooks --show-available-scripts
  # ========================================================================= #
  def self.show_available_utility_scripts
    files = Dir[utility_scripts?+'*.rb'].sort.map {|file|
      File.basename(file)
    }
    files = files - ['utility_scripts.rb']
    e; files.each_with_index {|file, index|
      index += 1
      e sfancy(index.to_s.rjust(4))+') '+simp(file)
    }; e
  end

end

if __FILE__ == $PROGRAM_NAME
  Cookbooks.show_available_utility_scripts
end