#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
# require 'cookbooks/module_methods/show_overview_over_available_utility_scripts.rb'
# =========================================================================== #
begin
  require 'class_docu_shower'
rescue LoadError; end
require 'cookbooks/constants/cookbook_utility_scripts.rb'
require 'cookbooks/module_methods/opn.rb'
require 'cookbooks/module_methods/e.rb'

module Cookbooks

  # ========================================================================= #
  # === Cookbooks.show_overview_over_available_utility_scripts
  #
  # This method will show all available utility scripts and provide an
  # overview over them.
  #
  # To trigger this method, do:
  #   cookbooks OVERVIEW
  #   cookbooks --show-available-utility-scripts
  # ========================================================================= #
  def self.show_overview_over_available_utility_scripts
    target = "#{utility_scripts?}*.rb"
    available_files = Dir[target]
    if Object.const_defined? :ClassDocuShower
      available_files.each {|file|
        cliner
        ClassDocuShower[file] # Delegate towards ClassDocuShower here.
      }
    else
      opn; e 'The class ClassDocuShower is not available.'
      e
      opn; e 'It can be installed via:'
      e
      opn; e '  gem install class_docu_shower'
      e
    end
  end; self.instance_eval { alias show_utility_scripts show_overview_over_available_utility_scripts } # Cookbooks.show_utility_scripts 

end

if __FILE__ == $PROGRAM_NAME
  Cookbooks.show_overview_over_available_utility_scripts
end