# ============================================================================ #
# require 'cookbooks/module_methods/time.rb'
# ============================================================================ #
module Cookbooks

  # ========================================================================= #
  # === Coobooks.return_time
  #
  # This method will return the current time, in hours:minutes::seconds
  # such as "10:11:45".
  # ========================================================================= #
  def self.return_time
    Time.now.strftime('%H:%M:%S')
  end

  # ========================================================================== #
  # === Cookbooks.return_date
  #
  # This will return a date such as:
  #   "04.10.2014"
  # ========================================================================== #
  def self.return_date
    Time.now.strftime('%d.%m.%Y')
  end; self.instance_eval { alias today? return_date } # === Cookbooks.today?

  # ========================================================================= #
  # === Coobooks.get_date
  #
  # As of Sep 2014, this method will return a string such as:
  #  "12 Jan 2015"
  # ========================================================================= #
  def self.get_date
    current_day = Time.now.strftime('%d') # This will return a string such as "30".
    current_day+' '+Date::MONTHNAMES[Date.today.month][0,3]+' '+Time.now.strftime('%Y')
  end

end