# =========================================================================== #
# require 'cookbooks/project_settings/project_yaml_directory.rb'
# =========================================================================== #
require 'cookbooks/project_settings/project_base_directory.rb'

module Cookbooks

  # ========================================================================= #
  # === Cookbooks::PROJECT_YAML_DIRECTORY
  #
  # This constant specifies where our project-specific YAML files
  # are to be kept - the yaml base directory.
  #
  # There are several "aliases" to this constant here.
  # ========================================================================= #
  PROJECT_YAML_DIRECTORY = Cookbooks::PROJECT_BASE_DIRECTORY+'yaml/'
    PROJECT_YAML_DIR = PROJECT_YAML_DIRECTORY         # === PROJECT_YAML_DIR
    RBT_YAML = PROJECT_YAML_DIRECTORY                 # === RBT_YAML
    COOKBOOKS_YAML_DIRECTORY = PROJECT_YAML_DIRECTORY # === COOKBOOKS_YAML_DIRECTORY

  # ========================================================================= #
  # === Cookbooks.project_yaml_directory?
  #
  # Query method for the constant PROJECT_YAML_DIRECTORY. Two aliases
  # exist for this constant.
  # ========================================================================= #
  def self.project_yaml_directory?
    PROJECT_YAML_DIRECTORY
  end; self.instance_eval { alias project_yaml_dir?         project_yaml_directory? } # === Cookbooks.project_yaml_dir?
       self.instance_eval { alias yaml_directory?           project_yaml_directory? } # === Cookbooks.yaml_directory?
       self.instance_eval { alias cookbooks_yaml_directory? project_yaml_directory? } # === Cookbooks.cookbooks_yaml_directory?

  # ========================================================================= #
  # === cookbooks_yaml_directory?
  # ========================================================================= #
  def cookbooks_yaml_directory?
    Cookbooks.project_yaml_directory?
  end

end