#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
# === Cookbooks::MergeCookbooks
#
# This class will merge all cookbooks into one new cookbook file. This 
# will be store into TEMP_DIR.
# =========================================================================== #
require 'cookbooks/base/base.rb'
require 'cookbooks/module_methods/initialize_configuration.rb'

module Cookbooks # === Cookbooks::MergeCookbooks

class MergeCookbooks < Base

  # ========================================================================= #
  # === DEFAULT_LOCATION
  # ========================================================================= #
  DEFAULT_LOCATION = ::Cookbooks.temp_dir? # Where to store at.

  # ========================================================================= #
  # === NAMESPACE
  # ========================================================================= #
  NAMESPACE = self.inspect.to_s

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(
      path_where_to_store = DEFAULT_LOCATION,
      be_verbose          = true
    )
    super()
    reset
    set_full_path(
      path_where_to_store+@name_of_new_cookbook_file # Get a default name for now.
    )
    if be_verbose
      opnn; e 'We will store at '+sfancy(@full_path)
    end
    run
  end

  # ========================================================================= #
  # === reset
  # ========================================================================= #
  def reset
    super()
    @array_merged = []
    @name_of_new_cookbook_file = 'merged_cookbook.yml'
  end

  # ========================================================================= #
  # === set_full_path
  # ========================================================================= #
  def set_full_path(i = :default)
    i = DEFAULT_LOCATION if i == :default
    @full_path = i
  end

  # ========================================================================= #
  # === save_file
  # ========================================================================= #
  def save_file
    opnn; e 'Merging cookbook file into `'+@full_path+'`.'
    remove_file(@full_path) if File.exist? @full_path
    write_what_into(@array_merged.join, @full_path,'w+')
  end

  # ========================================================================= #
  # === opnn
  # ========================================================================= #
  def opnn
    super(NAMESPACE)
  end

  # ========================================================================= #
  # === run
  # ========================================================================= #
  def run
    get_cookbooks(false).each { |entry|  # False for "don't apply filter".
      _ = read_file(entry)
      @array_merged << _ << N
      @array_merged.flatten!
    }
    save_file
  end

end; end

if __FILE__ == $PROGRAM_NAME
  Cookbooks::MergeCookbooks.new(:default)
end # mergec