#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
# === Cookbooks::Registered
#
# This class could be used as a base class for RegisteredBinaries and
# RegisteredLibraries.
# =========================================================================== #
# require 'cookbooks/utility_scripts/registered.rb'
# =========================================================================== #
require 'cookbooks/base/base.rb'

module Cookbooks

class Registered < Base # === Cookbooks::Registered

  # ========================================================================= #
  # === NAMESPACE
  # ========================================================================= #
  NAMESPACE = self.inspect.to_s

  # ========================================================================= #
  # === SHOW_PROGRAM_NAME
  #
  # If true then we will show the program in question.
  # ========================================================================= #
  SHOW_PROGRAM_NAME = true

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize
  end

  # ========================================================================= #
  # === reset
  # ========================================================================= #
  def reset
    super()
  end

  # ========================================================================= #
  # === set_this_program
  # ========================================================================= #
  def set_this_program(i)
    @this_program = i
  end

  # ========================================================================= #
  # === this_program?
  # ========================================================================= #
  def this_program?
    @this_program
  end; alias input? this_program? # === input?

  # ========================================================================= #
  # === opnn
  # ========================================================================= #
  def opnn(i = NAMESPACE)
    super(i)
  end

  # ========================================================================= #
  # === ruby_src_dir?
  # ========================================================================= #
  def ruby_src_dir?
    RUBY_SRC_DIR_AT_HOME
  end

  # ========================================================================= #
  # === hash_to_be_stored?
  #
  # This is our main dataset.
  # ========================================================================= #
  def hash_to_be_stored?
    @hash_to_be_stored
  end; alias hash? hash_to_be_stored? # === hash?
       alias hash  hash_to_be_stored? # === hash

end; end