module Cookbooks

class SearchForTags < Base

  # ========================================================================= #
  # === initialize
  # ========================================================================= #
  def initialize(
      search_for  = DEFAULT_SEARCH_TAG, # This variable is usually an Array.
      run_already = true
    )
    reset
    if search_for.is_a? Array
      if search_for.any? {|entry| entry.start_with? '--' }
        # =================================================================== #
        # Ok, this will be treated as a commandline-instruction then.
        # =================================================================== #
        _ = search_for.select {|inner_entry| inner_entry.start_with? '--' }
        menu(_)
        search_for.reject! {|inner_entry| inner_entry.start_with? '--' }
      end
    end
    set_search_for(search_for)
    if block_given?
      yielded = yield
      case yielded
      when :be_quiet
        @be_verbose = false
      end
    end
    run if run_already
  end

end; end