#!/System/Index/bin/ruby -w
# Encoding: ISO-8859-1
# frozen_string_literal: true
# =========================================================================== #
module Cookbooks

class SearchForTags < Base

  # ========================================================================= #
  # === menu                                                       (menu tag)
  # ========================================================================= #
  def menu(i = search_for?)
    if i.is_a? Array
      i.map! {|entry| menu(entry) }
      set_search_for(i)
    else
      case i # case tag
      # ===================================================================== #
      # === search_for_tags --available
      # ===================================================================== #
      when /-?-?available/
        show_available_tags
        exit
      # ===================================================================== #
      # === search_for_tags --no-index
      # ===================================================================== #
      when /do(-|_)?not(-|_)?show(-|_)?the(-|_)?index$/,
           /NO_?INDEX/,/-?-?no(-|_)?index$/,
           /^-?-?no(-|_)?numbers/i,
           'NO_NUMBERING','-nix'
        do_not_show_the_index
      # ===================================================================== #
      # === search_for_tags --help
      # ===================================================================== #
      when 'HELP',/-?-?help/,'?'
        show_help
        exit
      # ===================================================================== #
      # === search_for_tags xfce --be_verbose
      # ===================================================================== #
      when /^--be(-|_)?verbose$/
        set_be_verbose
      # ===================================================================== #
      # === search_for_tags ALL
      # ===================================================================== #
      when 'ALL','EVERYTHING'
        display_every_tag
        exit
      # ===================================================================== #
      # === search_for_tags OPEN_ALL
      # ===================================================================== #
      when 'OPEN_ALL',/^OPEN/,/-?-?open-?all/
        @also_open_every_entry_in_the_editor = true
        i = nil
      # ===================================================================== #
      # === search_for_tags WITH_URL
      # ===================================================================== #
      when 'WITH_URL', 'WURL', 'USE_URL', /WITH/, /URL/,
           /-?-?with-?url/
        @also_show_url = true
        i = nil # Remove it.
      end
      i # return it here.
    end
  end; alias check_against_menu menu # === check_against_menu

end; end