#!/System/Executables/ruby -w
# Encoding: ISO-8859-1
# =========================================================================== #
# http://localhost/PROGRAMMING_LANGUAGES/RUBY/SRC/cookbooks/www/COOKBOOKS.cgi
# =========================================================================== #
require 'cyberweb/autoinclude'
require 'class_docu_shower'
require 'cookbooks'

w {
t 'Cookbooks'
css_style :template1
fav '../../../../../'+Cookbooks.favicon?.gsub(/\/Users\/x\/DATA\//,''), false
body_css_class 's12px padt4px marpad2px VERDANAs'
body_css_style 'background-color: #d3d2d1;'
font_size 'def'
}

# =========================================================================== #
# === pname
# =========================================================================== #
def pname(i)
  bold i,'larger darkblue'; br
  i = Cookbooks.project_base_directory?+'utility_scripts/'+i
  br
  e ClassDocuShower.new(i, :no_colours)
end; alias program_name pname # === program_name()

doc {
  h2 'The Cookbooks Project'
  h3 '<b>About</b>:'
  p('mart1em') {
    le 'The Goal of the <b>Cookbooks project</b> is to provide all the raw
    data used for managing all programs on a <b>Linux Distribution</b>
    or another Operating system.'
    br
    e 'The Data is stored in various individual cookbook .yml files.'
    e 'For instance, htop is stored in <b>htop.yml</b>, anjuta is
    stored in <b>anjuta.yml</b> and so on and so forth.'
    e 'This is a rather simple convention - the name of the
    program will become the name of the yaml file in question.'
    e 'The Cookbooks can then be used by other projects.'
  }
  p {
    pname 'feedback_licenses.rb'
    e '^^^ Use this script to feedback known licenses.'
    br
    e 'Usage example:','BOLD'
    le '  flic gpl'
    le '  flic bsd'
  }
  p {
    pname 'highest.rb'
    le '^^^ Use this to find the highest n programs.'
    br
    le 'You can specify an argument to it to denote how many
    programs to find. It defaults to 20 programs right now
    if no such argument is supplied.'
  }
  p {
    pname 'find_alternative_archive.rb'
    le '^^^ Use this when you could not find an existing
    archive first. After this has failed, we can try
    to check if we have to download a new archive.'
  }
  p {
    pname 'new_cookbook.rb'
    le '^^^ Use this when you wish to create a new yaml
    file.'
  }
  p {
    pname 'scan_source_archive.rb'
    le '^^^ Use this when you wish to scan through the
    local Source archive. This class will report which
    entries are missing.'
  }
  p {
    pname 'merge_cookbooks.rb'
    le '^^^ Use this when you wish to create one big
    new cookbookfile containing all other entries.'
  }
  p {
    pname 'generate_machomebrew_formula.rb'
    le '^^^ Use this to generate a machomebrew formula.'
  }
  p {
    pname 'search_for_tags.rb'
    le '^^^ Use this to search for specific tags.'
  }
  spacer
  # ========================================================================= #
  # === Commandline options
  # ========================================================================= #
  e 'Commandline options explained in more detail:'
  br
  cmd '  cookbooks --overview'
  br
  e 'Give an overview over the available utility scripts.'
  br
  p {
    anm 'Note that you can also have the whole dataset
    for the individual cookbooks available in the 
    respective Cookbooks module as main API.'
    br
    e 'What this means is this:'
    br
    cmd "  require 'cookbooks/extended'"
    br
    e 'This would extend the Cookbooks namespace. Then you
    can do this here:'
    br
    cmd '  Cookbooks.htop'
    br
    e 'Now you can see the data for htop here.'
  }
  h4 'class IncrementProgramVersion'
  p {
    e 'This class can be used to automatically try to find
    whether any given program was upgraded.'
    br
    e 'This assumes that programs are numbered in a
    semantic version scheme.'
  }
  br
  e 'You can require the cookbooks project in an extended variant,
  such as:'
  br
  cmd "   require 'cookbooks/extended'"
  br
  e 'This then allows you to directly call the dataset, such as:'
  br
  cmd '  Cookbooks.ruby'
  cmd '  Cookbooks.htop'
}